Package twisted :: Package web :: Package woven :: Module widgets

[frames | no frames]

## Module twisted.web.woven.widgets

Classes
`Anchor` |
`Attributes` | Set attributes on a node.
`Bold` |
`Br` |
`Break` | Break into pdb when this widget is rendered.
`Button` |
`Cell` |
`CheckBox` |
`ColumnList` |
`DefaultWidget` |
`DeferredWidget` |
`DirectoryAnchor` |
`Div` |
`Dummy` |
`Error` |
`ExpandMacro` | A Macro expansion widget modeled after the METAL expander in ZPT/TAL/METAL.
`File` |
`Hidden` |
`Image` | A simple Widget that creates an `img' tag.
`Input` |
`InputText` |
`KeyedList` | I am a widget which knows how to display the values stored within a Python dictionary..
`Link` | A utility class for generating <a href='foo'>bar</a> tags.
`List` | I am a widget which knows how to generateDOM for a python list.
`Option` |
`ParagraphText` | Like a normal text widget, but it takes line breaks in the text and formats them as HTML paragraphs.
`PasswordText` | I render a password input field.
`RadioButton` |
`RawText` |
`RootRelativeLink` | Just like a regular Link, only it makes the href relative to the appRoot (that is, request.getRootURL()).
`Row` |
`Select` |
`Span` |
`SubAnchor` |
`Table` |
`Text` | A simple Widget that renders some text.
`Widget` | A Widget wraps an object, its model, for display.

Function Summary
| `appendModel(newNode, modelName)`

Variable Summary
`int` | `_RAISE` = 1
`int` | `DEBUG` = 0
`Document` | `document` = `<twisted.web.microdom.Document object at 0x85...`
`Element` | `missingPattern` = `Element('div', attributes={'style': 'bo...`

Variable Details

### _RAISE

  Type:
    `int`
  Value:

        1

### DEBUG

  Type:
    `int`
  Value:

        0

### document

  Type:
    `Document`
  Value:

        <twisted.web.microdom.Document object at 0x85bd4dc>

### missingPattern

  Type:
    `Element`
  Value:

        Element('div', attributes={'style': 'border: dashed red 1px; margin: 4\
        px'})

Generated by Epydoc 2.0 on Sat May 15 20:08:21 2004 | http://epydoc.sf.net